#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+fixfilepath optimize=-lto
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# for DEB_HOST_GNU_TYPE and DEB_HOST_MULTIARCH
include /usr/share/dpkg/architecture.mk

# we build in a subdirectory of ./fuzzylite because the unit tests expect the
# ./examples directory to be two levels above, see
# https://github.com/fuzzylite/fuzzylite/issues/85
%:
	dh $@ --sourcedirectory=fuzzylite --builddirectory=fuzzylite/obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) -DCMAKE_VERBOSE_MAKEFILE=true -DFL_CPP11=ON -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

override_dh_auto_test:
	dh_auto_test
